Name:    revumatic
Version: 25.06.06
Release: 1%{?dist}
Summary: The TUI tool for CentOS/RHEL kernel review.

License: GPLv2+
URL:     https://gitlab.com/redhat/centos-stream/src/kernel/utils/revumatic
Source:  %{url}/-/archive/v%{version}/revumatic-v%{version}.tar.bz2

BuildArch:     noarch
BuildRequires: python3-devel

Requires: python3-pygit2
Requires: python3-Levenshtein
Requires: python3-urllib3
Requires: python3-pyyaml

%description
A tool that eases review of CentOS Stream and RHEL kernel merge requests on
GitLab.

%prep
%autosetup -n revumatic-v%{version}

%build

%install
install -d %{buildroot}%{python3_sitelib}/revumatic
install -T revumatic %{buildroot}%{python3_sitelib}/revumatic/revumatic.py
install -d %{buildroot}%{python3_sitelib}/revumatic/modules
install -m 644 -t %{buildroot}%{python3_sitelib}/revumatic/modules modules/*.py
install -d %{buildroot}%{python3_sitelib}/revumatic/tuimatic
install -m 644 -t %{buildroot}%{python3_sitelib}/revumatic/tuimatic tuimatic/*.py
install -d %{buildroot}%{_bindir}
ln -s %{python3_sitelib}/revumatic/revumatic.py %{buildroot}%{_bindir}/revumatic

install -d %{buildroot}%{_pkgdocdir}
install -m 644 -t %{buildroot}%{_pkgdocdir} README.md

%files
%{_bindir}/revumatic
%{python3_sitelib}/revumatic
%{_pkgdocdir}

%changelog
* Fri Jun 06 2025 Jiri Benc <jbenc@redhat.com> - 25.06.06-1
- version update

* Tue May 21 2024 Jiri Benc <jbenc@redhat.com> - 24.05.21-1
- version update

* Wed Aug 30 2023 Jiri Benc <jbenc@redhat.com> - 23.08.30-1
- version update

* Thu May 04 2023 Jiri Benc <jbenc@redhat.com> - 23.05.04-1
- version update

* Thu Apr 06 2023 Jiri Benc <jbenc@redhat.com> - 23.04.06-1
- version update

* Wed Mar 15 2023 Jiri Benc <jbenc@redhat.com> - 23.03.15-1
- version update

* Wed Sep 14 2022 Jiri Benc <jbenc@redhat.com> - 22.09.14-1
- version update

* Wed Jun 22 2022 Jiri Benc <jbenc@redhat.com> - 22.06.22-1
- version update

* Thu May 5 2022 Jiri Benc <jbenc@redhat.com> - 22.05.05-1
- bugfix release

* Wed May 4 2022 Jiri Benc <jbenc@redhat.com> - 22.05.04-1
- version update

* Thu Mar 24 2022 Jiri Benc <jbenc@redhat.com> - 22.03.24-1
- initial packaging
